/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: dns.h
*    Creation Date: 28 June 2001 (v0.00)
*    VSS Info:
*        $Revision: 1.1 $
*        $Date: 2002/08/21 17:54:37 $
*
****************************************************************************
*    Description:
*
*     Broadcom Generic Operating System Functions. This file contains the VxWorks
*     specific definitions for the domain name service (DNS).
*
****************************************************************************/

#ifndef _DNS_H
#define _DNS_H

#ifdef __cplusplus
extern "C" {
#endif

    #include "bcmosHelper.h"
    
/*
*****************************************************************************
** FUNCTION PROTOTYPES
*****************************************************************************
*/

/*****************************************************************************
** FUNCTION:   dnsInit
**
** PURPOSE:    Initialize the domain name server (DNS)
**
** PARAMETERS: None
**
** RETURNS:    OS_STATUS
*****************************************************************************/
OS_STATUS dnsInit( void );


#ifdef __cplusplus
    }
#endif

#endif  /* _DNS_H  */


