/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: pkinit_checksum.h
*    Creation Date: 16 Jan 2001 (v0.00)
*    VSS Info:
*        $Revision: 1.1 $
*        $Date: 2002/08/21 17:54:31 $
*
****************************************************************************
*    Description:
*
*       Implementation of packetCable PKINIT pachecksum field
*
****************************************************************************/
# ifndef __PKINIT_CHECKSUM_H
#define __PKINIT_CHECKSUM_H 


#include "krb5_err.h"
#include "seckrb.h"
#include "cksumtypes.h"


krb5_error_code do_pkinit_pachecksum(
      krb5_kdc_req *request, 
      krb5_octet **cs, int *csLen);

#endif
